NSX-T Data Center REST API
Update Port Monitoring Profile Binding Map
API will update Port Monitoring Profile Binding Map.Request:
Method:
PUT
URI Path(s):
/policy/api/v1/infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}/port-monitoring-profile-binding-maps/{port-monitoring-profile-binding-map-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PortMonitoringProfileBindingMap+
Example Request:
PUT https://<nsx-mgr>/policy/api/v1/infra/tier-1s/tier-1/segments/segment_1/ports/port_1/port-monitoring-profile-binding-maps/1 { "resource_type":"PortMonitoringProfileBindingMap", "display_name": "PortMonitoringProfileBindingMap Profile Production", "description":"", "port_mirroring_profile_path":"/infra/port-mirroring-profiles/1", "ipfix_l2_profile_path":"/infra/ipfix-l2-profiles/1", "_revision": 1 }Successful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PortMonitoringProfileBindingMap+